- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_regex()

## Synopsis

    const char *
    bson_iter_regex (const bson_iter_t *iter, const char **options);

## Parameters

- `iter`: A bson_iter_t.
- `options`: A (null).

## Description

The bson_iter_regex() function shall retrieve the contents of a BSON_TYPE_REGEX element currently observed by `iter`.

It is invalid to call this function when not observing an element of type BSON_TYPE_REGEX.

## Returns

A string containing the regex which should not be modified or freed. `options` is set to the options provided for the regex.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.